Support Questions
Find answers, ask questions, and share your expertise

An error occured during updating current repository versions with stack repositories

Explorer

Hi,

I tried upgrading my HDF from 2.1.4 to 3.0.1.1. The installation failed so I thought I would roll back to the woking state before I try again. But now I am unable to roll back to a working state on my environment and Ambari Service will not start.

I performed these steps to roll back:

https://community.hortonworks.com/content/supportkb/48757/how-to-perform-a-roll-back-on-ambari-serve...

The error I'm seeing is similar to what is described here:

https://issues.apache.org/jira/browse/AMBARI-18467

Is it possible to roll back major version and, if it is, is there a way to get past this issue without installing my entire stack?

Regards,

Geouffrey

ambari-server.tar.gz

7 REPLIES 7

Mentor

@Geouffrey Erasmus

Did you backup and restore your Postgres database

Can you try with this option

# ambari-server start --skip-database-check

Please revert

Explorer

Yes I did restored my db before I started ambari-server

No luck with the recommendation. The error remains the same.

Mentor

@Geouffrey Erasmus


If all has failed. Please see this hortonworks restore method or this ibm

Explorer

Good idea but unfortunately I ended up with the exact same error message on the new server

Mentor

@Geouffrey Erasmus

It seems we run out of options is this a production cluster?

If not then you will have to drop the Postgres database create a new one and rerun ambari setup !

And start with a new database but you will lose all the old stats!

Explorer

Seems like it

Luckily this is not production yet. I wanted to upgrade everything before we went live with the environments over the next month which is when everything went wrong.

I guess I will lose all my configurations? LDAP, ranger, SSL, etc when I start with a fresh postgres setup

Mentor

@Geouffrey Erasmus

No you just need to recreate the ambari database, unfortunately, you will have to do the Ambari SSL /LDAP